/*    KESR . */

/* <TRANS_COMMAND>
ALTER TABLE LAYERDATA_FLOAT ADD (tempKESR varchar2(20))
/

update LAYERDATA_FLOAT set tempKESR = KESR
/

DROP INDEX IDX_LD_FLOAT_KESR
/

ALTER TABLE LAYERDATA_FLOAT DROP (KESR)
/

ALTER TABLE LAYERDATA_FLOAT ADD (KESR varchar2(20))
/

update LAYERDATA_FLOAT set KESR = tempKESR
/

ALTER TABLE LAYERDATA_FLOAT DROP (tempKESR)
/

CREATE INDEX IDX_LAYERDATA_KESR ON LAYERDATA_FLOAT(KESR)
/

COMMIT WORK
/
*/
-- <TRANS_IGNORE>
DECLARE
  v_exists INTEGER;
BEGIN
  SELECT COUNT(*)
  INTO v_exists
  FROM USER_TABLES
  WHERE TABLE_NAME = 'LAYERDATA_FLOAT';
  IF (v_exists > 0) THEN
    SELECT COUNT(*)
    INTO v_exists
    FROM USER_TAB_COLUMNS
    WHERE TABLE_NAME = 'LAYERDATA_FLOAT'
    AND COLUMN_NAME = 'KESR'
    AND DATA_TYPE = 'NUMBER';
    IF (v_exists > 0) THEN
      EXECUTE IMMEDIATE 'ALTER TABLE LAYERDATA_FLOAT ADD (tempKESR varchar2(20))';
      EXECUTE IMMEDIATE 'update LAYERDATA_FLOAT set tempKESR = KESR';
      EXECUTE IMMEDIATE 'DROP INDEX IDX_LD_FLOAT_KESR';
      EXECUTE IMMEDIATE 'ALTER TABLE LAYERDATA_FLOAT DROP (KESR)';
      EXECUTE IMMEDIATE 'ALTER TABLE LAYERDATA_FLOAT ADD (KESR varchar2(20))';
      EXECUTE IMMEDIATE 'update LAYERDATA_FLOAT set KESR = tempKESR';
      EXECUTE IMMEDIATE 'ALTER TABLE LAYERDATA_FLOAT DROP (tempKESR)';
      EXECUTE IMMEDIATE 'CREATE INDEX IDX_LD_FLOAT_KESR ON LAYERDATA_FLOAT(KESR)';
      EXECUTE IMMEDIATE 'COMMIT WORK';
    END IF;
  END IF;
END;
/
